=== debian/changelog ===
ros-r2b2-ros-workspace (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 01 Jul 2017 03:32:39 -0000
